org.apache.cassandra.tools.nodetool

## Class Repair

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.nodetool.Repair

- All Implemented Interfaces:
    java.lang.Runnable

      @Command(name="repair",
               description="Repair one or more tables")
      public class Repair
      extends NodeTool.NodeToolCmd

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<java.lang.String>` | `ONLY_EXPLICITLY_REPAIRED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Repair()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(NodeProbe probe)`

    - ### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

      `parseOptionalColumnFamilies, parseOptionalKeyspace, parseOptionalKeyspace, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ONLY_EXPLICITLY_REPAIRED

          public static final java.util.Set<java.lang.String> ONLY_EXPLICITLY_REPAIRED

  - ### Constructor Detail

    - #### Repair

          public Repair()

  - ### Method Detail

    - #### execute

          public void execute(NodeProbe probe)

      Specified by:
        `execute` in class `NodeTool.NodeToolCmd`

Copyright © 2018 The Apache Software Foundation